square_calendar 0.1.4

  • Readme
  • Changelog
  • Example
  • Installing
  • 66

square_calendar #

A widget plugin for showing calendar.

Getting Started #

import #

import 'package:square_calendar/square_calendar.dart';

just show calendar #

new SquareCalendar(year: 2018, month: 2),

change gesture behavior #

see example repo to get example

images #

simulator screen shot - iphone x - 2018-03-20 at 16 26 58

Changelog #

All notable changes to this project will be documented in this file.

The format is based on Keep a Changelog and this project adheres to Semantic Versioning.

[0.1.4] - 2018-11-07

Changed #

  • integrates example

[0.1.3] - 2018-11-07

Changed #

  • flutter sdk version

[0.1.2] - 2018-09-01

Changed #

  • flutter sdk version

[0.1.1] - 2018-03-28

Changed #

  • flutter sdk version

[0.1.0] - 2018-03-28

Changed #

  • Fixed a bug unnecessary row has displayed when start from friday and finish 30th.

[0.0.9] - 2018-03-28

Changed #

  • Fixed a bug unnecessary row has displayed when start from sunday

[0.0.8] - 2018-03-28

Changed and deleted #

  • To make builders to be undisputed, made builder to be a widget builder or a nested widget builder, and deletede gesture builder and rowtile builder.

[0.0.7] - 2018-03-27

Changed #

  • Return type of tilebuilder to Widget

[0.0.6] - 2018-03-27

Removed #

  • unnecessary process line

[0.0.5] - 2018-03-21

Added #

  • hasHeader parameter not to display

[0.0.4] - 2018-03-21

Added #

  • CHANGELOG.md
  • CalendarWidgetBuilder

Removed #

  • Unused Parameter

[0.0.3] - 2018-03-21

Added #

  • make CalendarGridGestureDetectorBuilder to receive displayed date.

[0.0.2] - 2018-03-21

Added #

  • CODE_OF_CONDUCT.md
  • CONTRIBUTING.md
  • ISSUE_TEMPLATE.md
  • PULL_REQUEST_TEMPLATE.md

Removed #

  • Examples

[0.0.1] - 2018-03-20

Added #

  • LICENSE
  • CalendarGridTileBuilder
  • CalendarGridGestureDetectorBuilder
  • SquareCalendar
  • Examples

example/README.md

example #

A new Flutter project.

Getting Started #

For help getting started with Flutter, view our online documentation.

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:


dependencies:
  square_calendar: ^0.1.4

2. Install it

You can install packages from the command line:

with Flutter:


$ flutter pub get

Alternatively, your editor might support flutter pub get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:


import 'package:square_calendar/square_calendar.dart';
  
Popularity:
Describes how popular the package is relative to other packages. [more]
41
Health:
Code health derived from static analysis. [more]
100
Maintenance:
Reflects how tidy and up-to-date the package is. [more]
80
Overall:
Weighted score of the above. [more]
66
Learn more about scoring.

We analyzed this package on Oct 20, 2019, and provided a score, details, and suggestions below. Analysis was completed with status completed using:

  • Dart: 2.5.1
  • pana: 0.12.21
  • Flutter: 1.9.1+hotfix.4

Platforms

Detected platforms: Flutter

References Flutter, and has no conflicting libraries.

Maintenance suggestions

The package description is too short. (-20 points)

Add more detail to the description field of pubspec.yaml. Use 60 to 180 characters to describe the package, what it does, and its target use case.

Dependencies

Package Constraint Resolved Available
Direct dependencies
Dart SDK >=2.0.0 <3.0.0
flutter 0.0.0
meta ^1.1.6 1.1.7
Transitive dependencies
collection 1.14.11 1.14.12
sky_engine 0.0.99
typed_data 1.1.6
vector_math 2.0.8